org.apache.lucene.facet.taxonomy

## Class PrintTaxonomyStats

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.PrintTaxonomyStats

    public class PrintTaxonomyStats
    extends Object

Prints how many ords are under each dimension.

### Constructor Summary

Constructors
Constructor and Description
`PrintTaxonomyStats()` Sole constructor.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)` Command-line tool.
`static void` `printStats(TaxonomyReader r, PrintStream out, boolean printTree)` Recursively prints stats for all ordinals.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrintTaxonomyStats

    public PrintTaxonomyStats()

Sole constructor.

### Method Detail

#### main

    public static void main(String[] args)
                     throws IOException

Command-line tool.

Throws:
  `IOException`

#### printStats

    public static void printStats(TaxonomyReader r,
                                  PrintStream out,
                                  boolean printTree)
                           throws IOException

Recursively prints stats for all ordinals.

Throws:
  `IOException`